# GET /api/v1/scan/{scanId}/jsonrpc-methods

**List scan JSON-RPC methods**

Lists all JSON-RPC methods discovered by this scan. (unpaginated)

> Requires `read:scan` permission.

## Parameters

- `scanId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Scan.

## Responses

### 200 — OK

#### application/json

- `jsonrpcMethods` (hawkscan.JsonRpcMethods)
  - `methods` (hawkscan.JsonRpcMethodInfo[]) — The discovered methods.
    - `description` (string) — An optional description of the method from the schema.
    - `name` (string) — The JSON-RPC method name (e.g. "users.create").
    - `params` (hawkscan.JsonRpcMethodParam[]) — The parameters accepted by this method.
      - `name` (string) — The name of the parameter.
      - `type` (string) — The type of the parameter (e.g. "string", "integer", "object", "array").
- `scanFoundStatus` (string)

#### application/x-protobuf

- `jsonrpcMethods` (hawkscan.JsonRpcMethods)
  - `methods` (hawkscan.JsonRpcMethodInfo[]) — The discovered methods.
    - `description` (string) — An optional description of the method from the schema.
    - `name` (string) — The JSON-RPC method name (e.g. "users.create").
    - `params` (hawkscan.JsonRpcMethodParam[]) — The parameters accepted by this method.
      - `name` (string) — The name of the parameter.
      - `type` (string) — The type of the parameter (e.g. "string", "integer", "object", "array").
- `scanFoundStatus` (string)

### 401 — Unauthorized

- (no body)
